=== debian/control ===
Source: ros-one-jsk-interactive-marker
Section: misc
Priority: optional
Maintainer: furuta <furuta@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, libyaml-cpp-dev, ros-one-actionlib, ros-one-catkin, ros-one-cmake-modules, ros-one-dynamic-reconfigure, ros-one-dynamic-tf-publisher, ros-one-eigen-conversions, ros-one-geometry-msgs, ros-one-interactive-markers, ros-one-jsk-footstep-msgs, ros-one-jsk-recognition-msgs (>= 1.2.0), ros-one-jsk-recognition-utils, ros-one-jsk-rviz-plugins, ros-one-jsk-topic-tools, ros-one-message-filters, ros-one-message-generation, ros-one-mk, ros-one-moveit-msgs, ros-one-rosbuild, ros-one-roscpp, ros-one-roseus, ros-one-roslib, ros-one-rviz, ros-one-sensor-msgs, ros-one-tf, ros-one-tf-conversions, ros-one-urdf, ros-one-visualization-msgs
Homepage: http://ros.org/wiki/interactive_marker
Standards-Version: 3.9.2

Package: ros-one-jsk-interactive-marker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, libyaml-cpp-dev, ros-one-actionlib, ros-one-dynamic-reconfigure, ros-one-dynamic-tf-publisher, ros-one-eigen-conversions, ros-one-geometry-msgs, ros-one-interactive-markers, ros-one-jsk-footstep-msgs, ros-one-jsk-recognition-msgs (>= 1.0.0), ros-one-jsk-recognition-utils, ros-one-jsk-rviz-plugins, ros-one-jsk-topic-tools, ros-one-message-filters, ros-one-message-runtime, ros-one-moveit-msgs, ros-one-roscpp, ros-one-roseus, ros-one-roslib, ros-one-rviz, ros-one-sensor-msgs, ros-one-tf, ros-one-tf-conversions, ros-one-urdf, ros-one-visualization-msgs
Description: jsk interactive markers
