## ros-one-jsk-interactive-marker 2.1.10-5jammy.20251208.0153

=== debian/changelog ===
ros-one-jsk-interactive-marker (2.1.10-5jammy.20251208.0153) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 01:53:33 +0000
