## ros-one-jsk-interactive-marker 2.1.10-5jammy.20251215.2227

=== debian/changelog ===
ros-one-jsk-interactive-marker (2.1.10-5jammy.20251215.2227) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 22:27:37 +0000
