## ros-one-jsk-interactive-marker 2.1.10-5jammy.20260106.2204

=== debian/changelog ===
ros-one-jsk-interactive-marker (2.1.10-5jammy.20260106.2204) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 22:04:37 +0000
