## ros-one-jsk-interactive-marker 2.1.10-5noble.20251027.2212

=== debian/changelog ===
ros-one-jsk-interactive-marker (2.1.10-5noble.20251027.2212) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 27 Oct 2025 22:12:19 +0000

ros-one-jsk-interactive-marker (2.1.10-0noble) noble; urgency=high

  * jsk_interactive_marker: use catkin_install_python in CMakeLists.txt (#897 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/897>)
  * Contributors: Kei Okada

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Wed, 11 Dec 2024 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.9-0noble) noble; urgency=high

  * enable to jsk_rviz_plugins, without rviz/ogre (#848 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/848>)use jsk_rviz_plugins message within embedded environment, compile with
    ```
    catkin bt -vi --cmake-args -DUSE_VISUALIZATION=OFF
    ```
  * [ROS-O] patches (#891 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/891>)
  * drop ROS_DISTRO STRGREATER tests
    As the Debian packages use "Debian"
    https://salsa.debian.org/science-team/ros-ros-environment/-/blame/master/debian/rules?ref_type=heads#L6
    which is incompatible, does not trigger them
    c++14 is the default from melodic onward, so the additional statements
    there are not necessary
  * CMakeLists.txt: check both kinetic and indigo
  * [jsk_interactive_marker/scripts/transformable_markers_client.py] Fix for Python3 (#882 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/882>)
  * Fixed typo of Software License Agreement. and/o2r to and/or (#853 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/853>)
  * Contributors: Kei Okada, Shun Hasegawa, iory, v4hn

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Wed, 11 Dec 2024 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.8-0noble) noble; urgency=high

  * Resolve fixed frame of rviz (#842 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/842>)
    
      * frame_id_ is std::string, so we need to use c_str() or ROS_ERROR_STREAM
      * Resolve fixed frame of rviz
        * The pose in callback function of interactive marker is represented
        respect to fixed frame of rviz.
        * In order to publish consistent tf transformation, the pose should be
        transformed respect to the frame_id which is specified as ros
        parameter.
    
  * Fix sample display robot state demo (#838 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/838>)
    
      * [jsk_interactive_marker] fix bugs
      * [jsk_interactive_marker] change the robot of
        sample_display_robot_state from JAXON to PR2
    
  * [jsk_interactive_markers][jsk_rqt_plugins] fix yaml load (#818 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/818>)
  * Enable to publish camera info from yaml file (#793 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/793>)
  * Contributors: Adi Vardi, Kei Okada, Koki Shinjo, Naoya Yamaguchi, Ryohei Ueda

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Tue, 11 Jan 2022 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.7-0noble) noble; urgency=high

  * set property for ccache if cmake version < 3.4 (#780 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/780>)
  * Remove meaningless lock (#750 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/750>)
  * add noetic test (#774 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/774>)
    
      * run 2to3 -f print
      * support noetic, use c++14, convert to package format 3
    
  * Contributors: Kei Okada, Ryohei Ueda, Yuki Furuta

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Sat, 17 Oct 2020 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.6-0noble) noble; urgency=high

  * Remove unnecessary ROS_INFO (#755 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/755>)
  * Contributors: Yuto Uchimi

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 13 Apr 2020 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.5-0noble) noble; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 18 Feb 2019 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.4-0noble) noble; urgency=high

  * replace boost::shared_ptr by std::shared_ptr (#710 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/710>)
    * manual urdf typedefs
    * add headers for urdf shared_ptr typedefs
    * use 'isnan' from 'std' namespace
    * use urdf typedefs for shared_ptr
    * enable C++11
    * replace boost pointers by std pointers
  * Fix install destination (#717 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/717>)
    * Call USE_SOURCE_PERMISSIONS before PATTERN
    * Update comment about installation
    * Install 'scripts' into SHARE_DESTINATION
    * Add comment for install destination
    * Fix installation destination
  * fix typo in jsk_interactive_marker (#718 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/718>)
  * Remove newline and leading spaces from package.xml (#706 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/706>)
  * Explicitly resolve dependency for jsk_recognition_utils in package.xml (#699 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/699>)
  * Object 3d annotation using transformable interactive marker (#668 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/668>)
    * do not compile transformable_marker_operator.cpp for jsk_recognition_msgs < 1.2.0
    * need 1.2.0 of jsk_recognition_msgs for Objects.msg
    * Update for updated Object.msg
    * Make object array topic editable and searched automatically
    * Insert mesh models dynamically by rviz panel
    * Change interactive_mode using dynamic reconfigure
  * Contributors: Christian Rauch, Kei Okada, Kentaro Wada, Masaki Murooka, Shingo Kitagawa, Yuto Uchimi, Naoki Mizuno

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 01 Nov 2018 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.3-0noble) noble; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 26 Oct 2017 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.2-0noble) noble; urgency=high


