## ros-one-jsk-interactive-marker 2.1.10-5noble.20251208.1241

=== debian/changelog ===
ros-one-jsk-interactive-marker (2.1.10-5noble.20251208.1241) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 12:41:13 +0000
