## ros-one-jsk-interactive-marker 2.1.10-5noble.20251215.2224

=== debian/changelog ===
ros-one-jsk-interactive-marker (2.1.10-5noble.20251215.2224) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 22:24:56 +0000
