## ros-one-jsk-interactive-marker 2.1.10-5noble.20260106.2216

=== debian/changelog ===
ros-one-jsk-interactive-marker (2.1.10-5noble.20260106.2216) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 22:16:02 +0000
